Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpos.config.simple.editor
Class InvalidEntryDialog

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Window
                        |
                        +--java.awt.Dialog
                              |
                              +--javax.swing.JDialog
                                    |
                                    +--jpos.config.simple.editor.InvalidEntryDialog

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.MenuContainer, javax.swing.RootPaneContainer, java.io.Serializable, javax.swing.WindowConstants

class InvalidEntryDialog
extends javax.swing.JDialog

Informs user that entry is not valid and thus can either be saved with defaults or discarder

Since:
  1.3 (Tokyo 2001)
Author:
  E. Michael Maximilien (maxim@us.ibm.com)
See Also:
  Serialized Form

Inner classes inherited from class javax.swing.JDialog
`javax.swing.JDialog.AccessibleJDialog`

Inner classes inherited from class java.awt.Dialog
`java.awt.Dialog.AccessibleAWTDialog`

Inner classes inherited from class java.awt.Window
`java.awt.Window.AccessibleAWTWindow`

Inner classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Inner classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.AWTTreeLock`

Field Summary
`static java.lang.String` | `DONT_SAVE_BUTTON_STRING`
`static java.lang.String` | `DONT_SAVE_TTTEXT_STRING`
`static java.lang.String` | `INVALID_ENTRY_DIALOG_TITLE`
`static java.lang.String` | `INVALID_ENTRY_LOGICAL_NAME_TTTEXT_STRING`
`static java.lang.String` | `MISSING_ENTRY_LABEL_STRING`
`static java.lang.String` | `MISSING_PROPERTIES_TITLE_STRING`
`static java.lang.String` | `MISSING_PROPERTIES_TTTEXT_STRING`
`static java.lang.String` | `SAVE_WITH_DEFAULT_BUTTON_STRING`
`static java.lang.String` | `SAVE_WITH_DEFAULTS_TTTEXT_STRING`

Fields inherited from class javax.swing.JDialog
`accessibleContext, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Dialog
`modal, resizable, title`

Fields inherited from class java.awt.Window
`inputContext, OPENED, ownedWindowList, state, warningString, windowListener`

Fields inherited from class java.awt.Container
`component, containerListener, layoutMgr, listeningBoundsChildren, listeningChildren, ncomponents`

Fields inherited from class java.awt.Component
`actionListenerK, adjustmentListenerK, appContext, background, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, componentListener, componentListenerK, componentOrientation, containerListenerK, cursor, dropTarget, enabled, eventMask, focusListener, focusListenerK, font, foreground, graphicsConfig, hasFocus, height, hierarchyBoundsListener, hierarchyBoundsListenerK, hierarchyListener, hierarchyListenerK, incRate, inputMethodListener, inputMethodListenerK, isInc, isPacked, itemListenerK, keyListener, keyListenerK, LEFT_ALIGNMENT, locale, LOCK, metrics, minSize, mouseListener, mouseListenerK, mouseMotionListener, mouseMotionListenerK, newEventsOnly, ownedWindowK, parent, peer, peerFont, popups, prefSize, RIGHT_ALIGNMENT, textListenerK, TOP_ALIGNMENT, valid, visible, width, windowClosingException, windowListenerK, x, y`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`InvalidEntryDialog(javax.swing.JFrame parent)` 1-arg ctor

Method Summary
`boolean` | `isSaveWithDefaultsButtonSelected()`
`void` | `setInvalidEntry(JposEntry jposEntry)` Set the invalid JposEntry object

Methods inherited from class javax.swing.JDialog
`addImpl, createRootPane, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isRootPaneCheckingEnabled, paramString, processKeyEvent, processWindowEvent, remove, setContentPane, setDefaultCloseOperation, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setLocationRelativeTo, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Dialog
`, addNotify, constructComponentName, dispose, getTitle, hide, interruptBlocking, isModal, isResizable, setModal, setResizable, setTitle, show`

Methods inherited from class java.awt.Window
`addOwnedWindow, addWindowListener, adjustListeningChildren, applyResourceBundle, applyResourceBundle, connectOwnedWindow, dispatchEventImpl, eventEnabled, finalize, getFocusOwner, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getOwnedWindows, getOwner, getToolkit, getWarningString, isActive, isShowing, nextFocus, pack, postEvent, postProcessKeyEvent, postWindowEvent, preProcessKeyEvent, processEvent, removeOwnedWindow, removeWindowListener, resetGC, setCursor, setFocusOwner, toBack, toFront, transferFocus`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyOrientation, checkGD, countComponents, createChildHierarchyEvents, createHierarchyEvents, deliverEvent, dispatchEventToSelf, doLayout, findComponentAt, findComponentAt, findComponentAt, getAccessibleAt, getAccessibleChild, getAccessibleChildrenCount, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents_NoClientCode, getComponents, getInsets, getLayout, getMaximumSize, getMinimumSize, getMouseEventTarget, getPreferredSize, getWindow, insets, invalidate, invalidateTree, isAncestorOf, layout, lightweightPaint, lightweightPrint, list, list, locate, minimumSize, numListening, paint, paintComponents, paintHeavyweightComponents, postsOldMouseEvents, preferredSize, print, printComponents, printHeavyweightComponents, processContainerEvent, proxyEnableEvents, proxyRequestFocus, remove, removeAll, removeContainerListener, removeNotify, setFont, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, areInputMethodsEnabled, bounds, checkImage, checkImage, checkWindowClosingException, coalesceEvents, contains, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, getAccessibleIndexInParent, getAccessibleStateSet, getBackground, getBounds, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont_NoClientCode, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputMethodRequests, getLocation, getLocation, getLocationOnScreen_NoTreeLock, getLocationOnScreen, getName, getNativeContainer, getParent_NoClientCode, getParent, getPeer, getSize, getSize, getToolkitImpl, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isDisplayable, isDoubleBuffered, isEnabled, isEnabledImpl, isFocusTraversable, isLightweight, isOpaque, isRecursivelyVisible, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseMotionEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MISSING_PROPERTIES_TITLE_STRING

    public static final java.lang.String MISSING_PROPERTIES_TITLE_STRING

### MISSING_ENTRY_LABEL_STRING

    public static final java.lang.String MISSING_ENTRY_LABEL_STRING

### INVALID_ENTRY_DIALOG_TITLE

    public static final java.lang.String INVALID_ENTRY_DIALOG_TITLE

### SAVE_WITH_DEFAULT_BUTTON_STRING

    public static final java.lang.String SAVE_WITH_DEFAULT_BUTTON_STRING

### DONT_SAVE_BUTTON_STRING

    public static final java.lang.String DONT_SAVE_BUTTON_STRING

### INVALID_ENTRY_LOGICAL_NAME_TTTEXT_STRING

    public static final java.lang.String INVALID_ENTRY_LOGICAL_NAME_TTTEXT_STRING

### MISSING_PROPERTIES_TTTEXT_STRING

    public static final java.lang.String MISSING_PROPERTIES_TTTEXT_STRING

### SAVE_WITH_DEFAULTS_TTTEXT_STRING

    public static final java.lang.String SAVE_WITH_DEFAULTS_TTTEXT_STRING

### DONT_SAVE_TTTEXT_STRING

    public static final java.lang.String DONT_SAVE_TTTEXT_STRING

Constructor Detail

### InvalidEntryDialog

    public InvalidEntryDialog(javax.swing.JFrame parent)

  1-arg ctor
  Parameters:
    `parent` - the parent JFrame

Method Detail

### setInvalidEntry

    public void setInvalidEntry(JposEntry jposEntry)

  Set the invalid JposEntry object
  Parameters:
    `jposEntry` - the JposEntry object

### isSaveWithDefaultsButtonSelected

    public boolean isSaveWithDefaultsButtonSelected()

  Returns:
    true if the "Save with Defaults" button is selected
  Since:
    2.3 (Tokyo 2001 meeting)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This API and code belongs to the JavaPOS committee please see LISCENCE file for details